package com.jakubu9333.grammarManager.dao;

import com.jakubu9333.grammarManager.model.Grammar;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Set;


/**
 * @author Jakub Uhlarik
 */
@Repository
public interface GrammarRepository extends JpaRepository<Grammar, Long> {
    Set<Grammar> findByUriStartingWith(String uri);

    Boolean existsByUri(String uri);
}
