const RuleInput = ({ rule, setRule, haveRoot }) => {
  const setLeftSymbol = (val) => {
    setRule({ ...rule, leftSymbol: val });
  };
  const setRightSide = (val) => {
    setRule({ ...rule, rightSide: val });
  };
  const setRoot = () => {
    if (rule.root == null || rule.root == false) {
      setRule({ ...rule, root: true });
      return;
    }
    setRule({ ...rule, root: false });
  };
  return (
    <>
      {!haveRoot && (
        <>
          <input onClick={setRoot} type="checkbox" id="root" />
          <label className="smallText" htmlFor="root">
            {" "}
            root
          </label>
          {"  "}
        </>
      )}
      <input
        onChange={(e) => {
          setLeftSymbol(e.target.value);
        }}
        className="transparent"
        type="text"
        placeholder="Set left symbol"
      />
      =
      <input
        onChange={(e) => {
          setRightSide(e.target.value);
        }}
        className="transparent"
        type="text"
        placeholder="Set right side"
      />
    </>
  );
};
export default RuleInput;
